PowerPoint3OLE Class Reference documentation

PowerPoint3OLE Class Reference

the main class to read the ole stream in a Microsoft PowerPoint v4 files (MacOs and Windows) More...

`#include <PowerPoint3OLE.hxx>`

## Public Member Functions
| PowerPoint3OLE (MWAWInputStreamPtr const &input, int vers, MWAWFontConverterPtr const &fontConverter, int fId)
| constructor
virtual | ~PowerPoint3OLE ()
| destructor
bool | parse ()
void | updateMetaData (librevenge::RVNGPropertyList &metaData) const
| update the meta data, using information find in SummaryInformation
int | getFontEncoding () const
| returns the font encoding(or -1)
void | checkForUnparsedStream ()
| check for unparsed stream

## Protected Member Functions
bool | parseCurrentUser (MWAWInputStreamPtr input, std::string const &name)
| try to parse the "Current User" stream: v4 and v7
bool | parseCurrentId (MWAWInputStreamPtr input, std::string const &name)
| try to parse the "Current Id" stream: v4
bool | parseHeader (MWAWInputStreamPtr input, std::string const &name)
| try to read the "Header" stream: v7
bool | parsePersistentStorage (MWAWInputStreamPtr input, std::string const &name)
| try to read the "PersistentStorage Directory" stream: v7
int | version () const
| returns the file version

## Protected Attributes
std::shared_ptr< PowerPoint3OLEInternal::State > | m_state
| the state

## Detailed Description

the main class to read the ole stream in a Microsoft PowerPoint v4 files (MacOs and Windows)

## Constructor & Destructor Documentation

## ◆ PowerPoint3OLE()

PowerPoint3OLE::PowerPoint3OLE | ( | MWAWInputStreamPtr const & | input,
|  | int | vers,
|  | MWAWFontConverterPtr const & | fontConverter,
|  | int | fId )

constructor

## ◆ ~PowerPoint3OLE()

PowerPoint3OLE::~PowerPoint3OLE | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ checkForUnparsedStream()

void PowerPoint3OLE::checkForUnparsedStream | ( |  | ) |

check for unparsed stream

## ◆ getFontEncoding()

int PowerPoint3OLE::getFontEncoding | ( |  | ) | const

returns the font encoding(or -1)

## ◆ parse()

bool PowerPoint3OLE::parse | ( |  | ) |

## ◆ parseCurrentId()

bool PowerPoint3OLE::parseCurrentId | ( | MWAWInputStreamPtr | input,
|  | std::string const & | name )
| protected

try to parse the "Current Id" stream: v4

Referenced by parse().

## ◆ parseCurrentUser()

bool PowerPoint3OLE::parseCurrentUser | ( | MWAWInputStreamPtr | input,
|  | std::string const & | name )
| protected

try to parse the "Current User" stream: v4 and v7

Referenced by parse().

## ◆ parseHeader()

bool PowerPoint3OLE::parseHeader | ( | MWAWInputStreamPtr | input,
|  | std::string const & | name )
| protected

try to read the "Header" stream: v7

Referenced by parse().

## ◆ parsePersistentStorage()

bool PowerPoint3OLE::parsePersistentStorage | ( | MWAWInputStreamPtr | input,
|  | std::string const & | name )
| protected

try to read the "PersistentStorage Directory" stream: v7

Referenced by parse().

## ◆ updateMetaData()

void PowerPoint3OLE::updateMetaData | ( | librevenge::RVNGPropertyList & | metaData | ) | const

update the meta data, using information find in SummaryInformation

## ◆ version()

int PowerPoint3OLE::version | ( |  | ) | const
| protected

returns the file version

Referenced by checkForUnparsedStream(), parse(), parseCurrentUser(), and PowerPoint3OLE().

## Member Data Documentation

## ◆ m_state

std::shared_ptr<PowerPoint3OLEInternal::State> PowerPoint3OLE::m_state
| protected

the state

Referenced by checkForUnparsedStream(), getFontEncoding(), parse(), PowerPoint3OLE(), updateMetaData(), and version().

The documentation for this class was generated from the following files:

- PowerPoint3OLE.hxx
- PowerPoint3OLE.cxx